<?php
	if($_REQUEST['id']!="")
	{
		include("../../conexion.php");

		$consulta=mysql_query("SELECT * FROM centros WHERE id=".$_REQUEST['id'], $conexion);
		$fila=mysql_fetch_array($consulta);
		if($_FILES['logo']['name'])
		{
			if($fila['logo']!="")
			{
				unlink("logos/".$fila['logo']);
			}
			$carpeta_archivos='logos';
			if(!file_exists($carpeta_archivos))
			{
				mkdir($carpeta_archivos);
				@chmod($carpeta_archivos, 0777);
			}
			$tmp = $_FILES['logo']['tmp_name'];
			$name = $_FILES['logo']['name'];
			$extension=substr($name,strlen($name)-4,strlen($name));
			$ahora = $carpeta_archivos.'/'.$fila['id'].$extension;
			move_uploaded_file($tmp, $ahora);

			mysql_query("UPDATE centros SET logo='".$fila['id'].$extension."' WHERE id=".$_REQUEST['id'],$conexion);
		}

		$centro=$_REQUEST['centro'];
		$direccion=$_REQUEST['direccion'];
		$localidad=$_REQUEST['localidad'];
		$cp=$_REQUEST['cp'];
		$provincia=$_REQUEST['provincia'];
		$telefono=$_REQUEST['telefono'];
		$fax=$_REQUEST['fax'];
		$mail=$_REQUEST['mail'];
		$web=$_REQUEST['url'];
		$orientador=$_REQUEST['orientador'];
		$director=$_REQUEST['director'];

		$comunidad=$_REQUEST['comunidad'];
		if($comunidad=="Otra") //Nueva Comunidad
		{
			if($_REQUEST['otracomunidad']!="")
			{
				mysql_query("INSERT INTO comunidades (comunidad) VALUES ('".$_REQUEST['otracomunidad']."')", $conexion);
				$consultaComunidad=mysql_query("SELECT * FROM comunidades ORDER BY id DESC",$conexion);
				$filaComunidad=mysql_fetch_array($consultaComunidad);
				$comunidad=$filaComunidad['id'];
			} else
			{
				$comunidad=1;
			}
		}

		mysql_query("UPDATE centros SET centro='$centro', idcomunidad=$comunidad, provincia='$provincia', localidad='$localidad', direccion='$direccion', codigopostal='$cp', telefono='$telefono', fax='$fax', mail='$mail', url='$web', orientador='$orientador', director='$director' WHERE id=".$_REQUEST['id'], $conexion);

		//centros de adscripcion
		for($i=0;$i<6;$i++)
		{
			if($_REQUEST['centroAdscripcion'.$i]!="")
			{
				mysql_query("INSERT INTO centrosadscripcion (centro,idAdscripcion) VALUES ('".$_REQUEST['centroAdscripcion'.$i]."',".$_REQUEST['id'].")",$conexion);
			}
		}
		header("location:listarcentros.php");
	} else
	{
		header("location:../../index.php");
	}
?>